Edit an environment variable belonging to the project
- You can’t edit a BUILT_IN variable
- For an override, you can’t edit the key
- For an alias, you can’t edit the value
- An override can only have a scope lower to the variable it is overriding (hierarchy is BUILT_IN > PROJECT > ENVIRONMENT > APPLICATION)
Documentation Index
Fetch the complete documentation index at: https://qovery-update-kubecost-tuto.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Project ID
Environment Variable ID
Body
Response
Edited the environment variable value
key is case sensitive.
APPLICATION, BUILT_IN, ENVIRONMENT, PROJECT, CONTAINER, JOB, HELM, TERRAFORM type of the environment variable (VALUE, FILE, ALIAS, OVERRIDE, BUIT_IN, EXTERNAL_SECRET)
VALUE, ALIAS, OVERRIDE, BUILT_IN, FILE, EXTERNAL_SECRET value of the env variable.
should be set for file only. variable mount path makes variable a file (where file should be mounted).
optional variable description (255 characters maximum)
255type of the service (application, database, job, gateway...)
APPLICATION, CONTAINER, DATABASE, JOB, HELM, TERRAFORM Entity that created/own the variable (i.e: Qovery, Doppler)